%define upstream_name    Devel-Trepan
%define upstream_version v1.0.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A gdb-like debugger port of Ruby Trepan
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Array::Columnize) >= 1.40.0
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Devel::Callsite) >= 0.80.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(File::HomeDir) >= 0.540.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Marpa::R2) >= 4.0.0
BuildRequires: perl(Module::Build) >= 0.421.100
BuildRequires: perl(PadWalker)
BuildRequires: perl(Pod::Find) >= 1.630.0
BuildRequires: perl(Pod::Text) >= 3.130.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Syntax::Highlight::Perl::Improved) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.810.0
BuildRequires: perl(Time::HiRes) >= 1.972.100
BuildRequires: perl(rlib) >= 0.20.0
BuildRequires: perl(version)
BuildArch:  noarch

%{?perl_default_filter}
# Exclude internal broken dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::Trepan::

%description
Invocation
    From a shell:

        $ trepan.pl [trepan-opts] -- perl-program [perl-program-opts]

    For out-of-process (and possibly out-of server) debugging:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc ChangeLog Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE THANKS example
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/trepan.pl

%changelog
* Mon Feb 17 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1537636
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Nov 05 2019 tv <tv> 1.0.1-1.mga8
+ Revision: 1457775
- update to v1.0.1

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1282888
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 tv <tv> 1.0.0-1.mga7
+ Revision: 1251687
- update to v1.0.0

* Mon Oct 02 2017 tv <tv> 0.740.0-2.mga7
+ Revision: 1164069
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 0.740.0-1.mga7
+ Revision: 1154324
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.730.0-2.mga6
+ Revision: 1025662
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.730.0-1.mga6
+ Revision: 1001839
- New version 0.73

* Thu Feb 18 2016 umeabot <umeabot> 0.600.0-2.mga6
+ Revision: 966004
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.600.0-1.mga6
+ Revision: 839363
- update to 0.60

* Mon Oct 20 2014 pterjan <pterjan> 0.580.0-5.mga5
+ Revision: 792029
- Exclude internal broken dependencies

* Sun Oct 19 2014 pterjan <pterjan> 0.580.0-4.mga5
+ Revision: 791803
- Add standard excludes

* Wed Oct 15 2014 umeabot <umeabot> 0.580.0-3.mga5
+ Revision: 741117
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed May 21 2014 sander85 <sander85> 0.580.0-1.mga5
+ Revision: 624711
- update to 0.58

* Tue May 20 2014 sander85 <sander85> 0.570.0-1.mga5
+ Revision: 624530
- update to 0.57

* Tue May 20 2014 jquelin <jquelin> 0.560.0-1.mga5
+ Revision: 624251
- update to 0.56

* Tue May 06 2014 jquelin <jquelin> 0.540.0-1.mga5
+ Revision: 620589
- update to 0.54

* Thu Mar 13 2014 jquelin <jquelin> 0.520.0-1.mga5
+ Revision: 602912
- update to 0.52

* Sat Feb 08 2014 sander85 <sander85> 0.510.0-1.mga5
+ Revision: 585960
- update to 0.51

* Sat Oct 19 2013 umeabot <umeabot> 0.500.0-2.mga4
+ Revision: 528685
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.500.0-1.mga4
+ Revision: 446931
- update to 0.50

* Sun Jan 13 2013 umeabot <umeabot> 0.480.0-2.mga3
+ Revision: 365845
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.480.0-1.mga3
+ Revision: 342083
- update to 0.48

* Wed Oct 10 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 304410
- imported package perl-Devel-Trepan


* Wed Oct 10 2012 cpan2dist 0.46-1mga
- initial mageia release, generated with cpan2dist
